"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var http_1 = require("@angular/common/http");
var core_1 = require('@angular/core');
var common_1 = require('@angular/common');
var forms_1 = require('@angular/forms');
;
var http_2 = require('@angular/http');
var dropdown_module_1 = require('ng2-catalogic/dropdown.module');
var emi_routing_module_1 = require('./emi-routing.module');
var emi_component_1 = require('./emi.component');
var emi_service_1 = require('./emi.service');
var license_service_1 = require('./license/services/license.service');
var actions_service_1 = require('./actions/services/actions.service');
var translation_module_1 = require("./shared/translation.module");
var EMIModule = (function () {
    function EMIModule() {
    }
    EMIModule = __decorate([
        core_1.NgModule({
            imports: [
                http_1.HttpClientModule,
                translation_module_1.TranslationModule,
                common_1.CommonModule,
                forms_1.FormsModule,
                http_2.HttpModule,
                http_2.JsonpModule,
                dropdown_module_1.DropdownModule,
                emi_routing_module_1.EMIRoutingModule
            ],
            declarations: [
                emi_component_1.EMIComponent
            ],
            bootstrap: [
                emi_component_1.EMIComponent
            ],
            providers: [
                emi_service_1.EMIService,
                license_service_1.LicenseService,
                actions_service_1.ActionsService
            ]
        }), 
        __metadata('design:paramtypes', [])
    ], EMIModule);
    return EMIModule;
}());
exports.EMIModule = EMIModule;
