"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var router_1 = require('@angular/router');
var emi_service_1 = require('../../emi.service');
var emisettings_service_1 = require('../services/emisettings.service');
var updaterepoitem_1 = require('../model/updaterepoitem');
var EmisettingsComponent = (function () {
    function EmisettingsComponent(router, eamiService, emiSettingsService) {
        this.eamiService = eamiService;
        this.emiSettingsService = emiSettingsService;
        this.updatingrepo = false;
        this.updateRepoButtonState = true;
        this.invalidUrl = false;
        this.repoUrlUpdated = false;
        this.repoUrlUpdateFailure = false;
        this.repourlupdatecomplete = false;
        this.updateRepoItem = new updaterepoitem_1.UpdateRepoItem();
        console.log('EMI EmisettingsComponent =>');
    }
    EmisettingsComponent.prototype.ngOnInit = function () {
    };
    EmisettingsComponent.prototype.getProductName = function () {
        return this.eamiService.getProductName();
    };
    EmisettingsComponent.prototype.updateRepositoryInfo = function () {
        var _this = this;
        console.log('EmisettingsComponent => updateRepositoryInfo() ==>');
        this.updatingrepo = true;
        this.emiSettingsService.checkYumRepoUrl(this.updateRepoItem.updateRepositoryUrl)
            .subscribe(function (commandoutput) {
            _this.errorCode = commandoutput.errorCode;
            if (_this.errorCode === "0") {
                _this.invalidUrl = false;
                console.log('EmisettingsComponent => updateRepositoryInfo() checkYumRepoUrl ==> ' + _this.errorCode);
                console.log('EmisettingsComponent => updateRepositoryInfo() checkYumRepoUrl ==> ' + commandoutput.commandOutput);
                _this.emiSettingsService.updateYumRepoUrl(_this.updateRepoItem.updateRepositoryUrl)
                    .subscribe(function (commandoutput) {
                    _this.updatingrepo = false;
                    _this.repourlupdatecomplete = true;
                    if (_this.errorCode === "0") {
                        _this.repoUrlUpdated = true;
                        console.log('EmisettingsComponent => updateRepositoryInfo() updateYumRepoUrl ==> ' + _this.errorCode);
                        console.log('EmisettingsComponent => updateRepositoryInfo() updateYumRepoUrl ==> ' + commandoutput.commandOutput);
                    }
                    else {
                        _this.repoUrlUpdateFailure = true;
                        console.log('EmisettingsComponent => updateRepositoryInfo() updateYumRepoUrl ==> ' + _this.errorCode);
                        console.log('EmisettingsComponent => updateRepositoryInfo() updateYumRepoUrl ==> ' + commandoutput.commandOutput);
                    }
                }, function (error) {
                    _this.updatingrepo = false;
                    _this.repourlupdatecomplete = true;
                    _this.repoUrlUpdateFailure = true;
                    _this.errorMessage = error;
                    console.log('EmisettingsComponent => updateRepositoryInfo() ==> SUBSCRIPTION ERROR ' + _this.errorMessage);
                });
            }
            else {
                _this.updatingrepo = false;
                _this.repoUrlUpdateFailure = true;
                console.log('EmisettingsComponent => updateRepositoryInfo() ==> ERROR ' + _this.errorCode);
                console.log('EmisettingsComponent => updateRepositoryInfo() ==> ERROR ' + commandoutput.commandErrorOutput);
            }
        }, function (error) {
            _this.updatingrepo = false;
            _this.invalidUrl = true;
            _this.errorMessage = error;
            console.log('EmisettingsComponent => updateRepositoryInfo() ==> SUBSCRIPTION ERROR ' + _this.errorMessage);
        });
    };
    EmisettingsComponent.prototype.checkUpdateRepoUrlField = function () {
        console.log('EmisettingsComponent => checkUpdateRepoUrlField() ==>');
        if (this.updateRepoItem.updateRepositoryUrl) {
            this.updateRepoButtonState = false;
        }
    };
    EmisettingsComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'emisettings',
            templateUrl: '../views/emisettings.component.html'
        }), 
        __metadata('design:paramtypes', [router_1.Router, emi_service_1.EMIService, emisettings_service_1.EmiSettingsService])
    ], EmisettingsComponent);
    return EmisettingsComponent;
}());
exports.EmisettingsComponent = EmisettingsComponent;
